<?
//------------------------------------------------------------------------------
// Pretty simple formula for now, which is basically:-
//
// $victim_based_skill_no =  $victimSkill * $skillset_fraction ;
//
// $KillerSkill+=$weaponFactor * $victim_based_skill_no;
// $VictimSkill-=$victim_based_skill_no;
// 
// In the event of a suicide or a teamkill, the appropriate penalty based on the
// above formula is applied
//------------------------------------------------------------------------------

global $skillset;

// a fraction is gained by the killer and lost by the victim
$skillset['fraction']['value'] = 1/1000.0;

// weapon modifier
$skillset['weapon_factor']['kill|30cal']=0.5;
$skillset['weapon_factor']['kill|bar']=1.5;
$skillset['weapon_factor']['kill|bren']=1.5;
$skillset['weapon_factor']['kill|colt']=2.0;
$skillset['weapon_factor']['kill|enfield']=3.0;
$skillset['weapon_factor']['kill|enfield_scope']=2.5;
$skillset['weapon_factor']['kill|fg42']=1.5;
$skillset['weapon_factor']['kill|frag_grenade_american']=1.5;
$skillset['weapon_factor']['kill|frag_grenade_british']=1.5;
$skillset['weapon_factor']['kill|frag_grenade_german']=1.5;
$skillset['weapon_factor']['kill|frag_grenade_russian']=1.5;
$skillset['weapon_factor']['kill|g43']=2.0;
$skillset['weapon_factor']['kill|greasegun']=1.0;
$skillset['weapon_factor']['kill|kar98k']=3.0;
$skillset['weapon_factor']['kill|kar98k_sniper']=2.5;
$skillset['weapon_factor']['kill|luger']=2.0;
$skillset['weapon_factor']['kill|m1carbine']=1.5;
$skillset['weapon_factor']['kill|m1garand']=2.0;
$skillset['weapon_factor']['kill|MELEE']=6.0;
$skillset['weapon_factor']['kill|mg42_bipod']=0.5;
$skillset['weapon_factor']['kill|mosin_nagant']=3.0;
$skillset['weapon_factor']['kill|mosin_nagant_sniper']=2.5;
$skillset['weapon_factor']['kill|mp40']=1.0;
$skillset['weapon_factor']['kill|mp44']=1.5;
$skillset['weapon_factor']['kill|panzerschreck']=1.0;
$skillset['weapon_factor']['kill|PPS42']=1.0;
$skillset['weapon_factor']['kill|ppsh']=0.5;
$skillset['weapon_factor']['kill|shotgun']=0.5;
$skillset['weapon_factor']['kill|sten']=1.0;
$skillset['weapon_factor']['kill|SVT40']=2.5;
$skillset['weapon_factor']['kill|thompson']=1.0;
$skillset['weapon_factor']['kill|TT30']=2.0;
$skillset['weapon_factor']['kill|webley']=2.0;

//accuracy
$skillset['weapon_factor']['accuracy|30cal_lochead']=1.0;
$skillset['weapon_factor']['accuracy|30cal_locchest']=0.5;
$skillset['weapon_factor']['accuracy|bar_lochead']=1.5;
$skillset['weapon_factor']['accuracy|bar_locchest']=1.0;
$skillset['weapon_factor']['accuracy|bren_lochead']=1.5;
$skillset['weapon_factor']['accuracy|bren_locchest']=1.0;
$skillset['weapon_factor']['accuracy|colt_lochead']=1.5;
$skillset['weapon_factor']['accuracy|colt_locchest']=1.0;
$skillset['weapon_factor']['accuracy|enfield_lochead']=2.0;
$skillset['weapon_factor']['accuracy|enfield_locchest']=1.5;
$skillset['weapon_factor']['accuracy|enfield_scope_lochead']=2.0;
$skillset['weapon_factor']['accuracy|enfield_scope_locchest']=1.5;
$skillset['weapon_factor']['accuracy|fg42_lochead']=1.5;
$skillset['weapon_factor']['accuracy|fg42_locchest']=1.0;
$skillset['weapon_factor']['accuracy|g43_lochead']=1.5;
$skillset['weapon_factor']['accuracy|g43_locchest']=1.0;
$skillset['weapon_factor']['accuracy|greasegun_lochead']=1.5;
$skillset['weapon_factor']['accuracy|greasegun_locchest']=1.0;
$skillset['weapon_factor']['accuracy|kar98k_lochead']=2.0;
$skillset['weapon_factor']['accuracy|kar98k_locchest']=1.5;
$skillset['weapon_factor']['accuracy|kar98k_sniper_lochead']=2.0;
$skillset['weapon_factor']['accuracy|kar98k_sniper_locchest']=1.5;
$skillset['weapon_factor']['accuracy|luger_lochead']=1.5;
$skillset['weapon_factor']['accuracy|luger_locchest']=1.0;
$skillset['weapon_factor']['accuracy|m1carbine_lochead']=1.5;
$skillset['weapon_factor']['accuracy|m1carbine_locchest']=1.0;
$skillset['weapon_factor']['accuracy|m1garand_lochead']=1.5;
$skillset['weapon_factor']['accuracy|m1garand_locchest']=1.0;
$skillset['weapon_factor']['accuracy|mg42_bipod_lochead']=1.0;
$skillset['weapon_factor']['accuracy|mg42_bipod_locchest']=0.5;
$skillset['weapon_factor']['accuracy|mosin_nagant_lochead']=2.0;
$skillset['weapon_factor']['accuracy|mosin_nagant_locchest']=1.5;
$skillset['weapon_factor']['accuracy|mosin_nagant_sniper_lochead']=2.0;
$skillset['weapon_factor']['accuracy|mosin_nagant_sniper_locchest']=1.5;
$skillset['weapon_factor']['accuracy|mp40_lochead']=1.0;
$skillset['weapon_factor']['accuracy|mp40_locchest']=0.5;
$skillset['weapon_factor']['accuracy|mp44_lochead']=1.5;
$skillset['weapon_factor']['accuracy|mp44_locchest']=1.0;
$skillset['weapon_factor']['accuracy|PPS42_lochead']=1.0;
$skillset['weapon_factor']['accuracy|PPS42_locchest']=0.5;
$skillset['weapon_factor']['accuracy|ppsh_lochead']=1.0;
$skillset['weapon_factor']['accuracy|ppsh_locchest']=0.5;
$skillset['weapon_factor']['accuracy|shotgun_lochead']=1.0;
$skillset['weapon_factor']['accuracy|shotgun_locchest']=0.5;
$skillset['weapon_factor']['accuracy|sten_lochead']=1.0;
$skillset['weapon_factor']['accuracy|sten_locchest']=0.5;
$skillset['weapon_factor']['accuracy|SVT40_lochead']=2.0;
$skillset['weapon_factor']['accuracy|SVT40_locchest']=1.5;
$skillset['weapon_factor']['accuracy|thompson_lochead']=1.0;
$skillset['weapon_factor']['accuracy|thompson_locchest']=0.5;
$skillset['weapon_factor']['accuracy|TT30_lochead']=1.5;
$skillset['weapon_factor']['accuracy|TT30_locchest']=1.0;
$skillset['weapon_factor']['accuracy|webley_lochead']=1.5;
$skillset['weapon_factor']['accuracy|webley_locchest']=1.0;

// event skill is just added to the player's current skill
$skillset['event']['event_1']=1.0;
$skillset['event']['event_2']=2.0;
$skillset['event']['eventCategory_1|event_1']=10.0;
$skillset['event']['eventCategory_1|event_2']=5.0;
$skillset['event']['eventCategory_2|event_1']=1.5;
$skillset['event']['eventCategory_2|event_2']=1.0;

?>

